Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jena
Class RuleMap

    java.lang.Object
      jena.RuleMap

    public class RuleMap

extends java.lang.Object

General command line utility to process one RDF file into another by application of a set of forward chaining rules.

     Usage:  RuleMap [-il inlang] [-ol outlang] [-d] rulefile infile

The resulting RDF data is written to stdout in format `outlang` (default N3). If `-d` is given then only the deductions generated by the rules are output. Otherwise all data including any input data (other than any removed triples) is output.

Rules are permitted an additional action "deduce" which forces triples to be added to the deductions graph even if they are already known (for use in deductions only mode).

Version:
  $Revision: 1.14 $ on $Date: 2008/01/02 12:08:16 $
Author:
  Dave Reynolds

Constructor Summary
`RuleMap()`

Method Summary
`static java.util.List` | `loadRules(java.io.BufferedReader src, java.util.Map prefixes)` Load a set of rule definitions including processing of comment lines and any initial prefix definition lines.
`static java.util.List` | `loadRules(java.lang.String filename, java.util.Map prefixes)` Load a set of rule definitions including processing of comment lines and any initial prefix definition lines.
`static void` | `main(java.lang.String[] args)` General command line utility to process one RDF file into another by application of a set of forward chaining rules.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleMap

    public RuleMap()

Method Detail

### loadRules

    public static java.util.List loadRules(java.lang.String filename,
                                           java.util.Map prefixes)
                                    throws java.io.IOException

  Load a set of rule definitions including processing of comment lines and any initial prefix definition lines. Also notes the prefix definitions for adding to a later inf model.

  Throws:
    `java.io.IOException`

### loadRules

    public static java.util.List loadRules(java.io.BufferedReader src,
                                           java.util.Map prefixes)
                                    throws java.io.IOException

  Load a set of rule definitions including processing of comment lines and any initial prefix definition lines. Also notes the prefix definitions for adding to a later inf model.

  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

  General command line utility to process one RDF file into another by application of a set of forward chaining rules.

       Usage:  RuleMap [-il inlang] [-ol outlang] -d infile rulefile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP